Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.record.misc
Class KiekerMetadataRecord

    java.lang.Object
      kieker.common.record.AbstractMonitoringRecord
          kieker.common.record.misc.KiekerMetadataRecord

All Implemented Interfaces:
  Serializable, Comparable<IMonitoringRecord>, IMonitoringRecord, IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory

    public class KiekerMetadataRecord

extends AbstractMonitoringRecord
implements IMonitoringRecord.Factory, IMonitoringRecord.BinaryFactory

Since:
  1.7
Author:
  Jan Waller
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.common.record.IMonitoringRecord
`IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory`

Field Summary
`static String` | `CONTROLLER_NAME`
`static boolean` | `DEBUG_MODE`
`static int` | `EXPERIMENT_ID`
`static String` | `HOSTNAME`
`static String` | `NO_CONTROLLERNAME`
`static String` | `NO_HOSTNAME`
`static String` | `NO_TIMESOURCE`
`static String` | `NO_TIMEUNIT`
`static long` | `NUMBER_OF_RECORDS`
`static int` | `SIZE` Descriptive definition of the serialization size of the record.
`static long` | `TIME_OFFSET`
`static String` | `TIME_UNIT`
`static Class<?>[]` | `TYPES`
`static String` | `VERSION`

Fields inherited from class kieker.common.record.AbstractMonitoringRecord
`TYPE_SIZE_BOOLEAN, TYPE_SIZE_BYTE, TYPE_SIZE_CHARACTER, TYPE_SIZE_DOUBLE, TYPE_SIZE_FLOAT, TYPE_SIZE_INT, TYPE_SIZE_LONG, TYPE_SIZE_SHORT, TYPE_SIZE_STRING`

Constructor Summary
`KiekerMetadataRecord(ByteBuffer buffer, IRegistry<String> stringRegistry)` This constructor converts the given array into a record.
`KiekerMetadataRecord(Object[] values)` This constructor converts the given array into a record.
`KiekerMetadataRecord(String version, String controllerName, String hostname, int experimentId, boolean debugMode, long timeOffset, String timeUnit, long numberOfRecords)` Creates a new instance of this class using the given parameters.

Method Summary
`String` | `getControllerName()`
`int` | `getExperimentId()`
`String` | `getHostname()`
`long` | `getNumberOfRecords()`
`int` | `getSize()` This method should deliver the size of a binary representation of this record.
`long` | `getTimeOffset()`
`String` | `getTimeUnit()`
`Class<?>[]` | `getValueTypes()` This method should deliver an array with the classes of the single values for the record.
`String` | `getVersion()`
`void` | `initFromArray(Object[] values)` Deprecated. This record uses the `IMonitoringRecord.Factory` mechanism. Hence, this method is not implemented.
`void` | `initFromBytes(ByteBuffer buffer, IRegistry<String> stringRegistry)` Deprecated. This record uses the `IMonitoringRecord.BinaryFactory` mechanism. Hence, this method is not implemented.
`boolean` | `isDebugMode()`
`Object[]` | `toArray()` This method should deliver an array containing the content of the record.
`void` | `writeBytes(ByteBuffer buffer, IRegistry<String> stringRegistry)` This method should deliver an byte array containing the content of the record.

Methods inherited from class kieker.common.record.AbstractMonitoringRecord
`checkArray, classForName, compareTo, createFromArray, createFromByteBuffer, createFromStringArray, equals, fromStringArrayToTypedArray, getLoggingTimestamp, hashCode, setLoggingTimestamp, toString, typesForClass`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

  Descriptive definition of the serialization size of the record.

  See Also:
    Constant Field Values

### TYPES

    public static final Class<?>[] TYPES

### NO_CONTROLLERNAME

    public static final String NO_CONTROLLERNAME

See Also:
  Constant Field Values

### NO_HOSTNAME

    public static final String NO_HOSTNAME

See Also:
  Constant Field Values

### NO_TIMESOURCE

    public static final String NO_TIMESOURCE

See Also:
  Constant Field Values

### NO_TIMEUNIT

    public static final String NO_TIMEUNIT

See Also:
  Constant Field Values

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### CONTROLLER_NAME

    public static final String CONTROLLER_NAME

See Also:
  Constant Field Values

### HOSTNAME

    public static final String HOSTNAME

See Also:
  Constant Field Values

### EXPERIMENT_ID

    public static final int EXPERIMENT_ID

See Also:
  Constant Field Values

### DEBUG_MODE

    public static final boolean DEBUG_MODE

See Also:
  Constant Field Values

### TIME_OFFSET

    public static final long TIME_OFFSET

See Also:
  Constant Field Values

### TIME_UNIT

    public static final String TIME_UNIT

See Also:
  Constant Field Values

### NUMBER_OF_RECORDS

    public static final long NUMBER_OF_RECORDS

See Also:
  Constant Field Values

Constructor Detail

### KiekerMetadataRecord

    public KiekerMetadataRecord(String version,
                                String controllerName,
                                String hostname,
                                int experimentId,
                                boolean debugMode,
                                long timeOffset,
                                String timeUnit,
                                long numberOfRecords)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `version` - version
    `controllerName` - controllerName
    `hostname` - hostname
    `experimentId` - experimentId
    `debugMode` - debugMode
    `timeOffset` - timeOffset
    `timeUnit` - timeUnit
    `numberOfRecords` - numberOfRecords

### KiekerMetadataRecord

    public KiekerMetadataRecord(Object[] values)

  This constructor converts the given array into a record. It is recommended to use the array which is the result of a call to `toArray()`.

  Parameters:
    `values` - The values for the record.

### KiekerMetadataRecord

    public KiekerMetadataRecord(ByteBuffer buffer,
                                IRegistry<String> stringRegistry)
                         throws BufferUnderflowException

  This constructor converts the given array into a record.

  Parameters:
    `buffer` - The bytes for the record.
  Throws:
    `BufferUnderflowException` - if buffer not sufficient

Method Detail

### toArray

    public Object[] toArray()

  This method should deliver an array containing the content of the record. It should be possible to convert this array later into a record again.

  Specified by:
    `toArray` in interface `IMonitoringRecord`
  Returns:
    An array with the values of the record.

### writeBytes

    public void writeBytes(ByteBuffer buffer,
                           IRegistry<String> stringRegistry)
                    throws BufferOverflowException

  This method should deliver an byte array containing the content of the record. It should be possible to convert this array later into a record again.

  Specified by:
    `writeBytes` in interface `IMonitoringRecord`
  Parameters:
    `buffer` - The used ByteBuffer with sufficient capacity
    `stringRegistry` - Usually the associated MonitoringController
  Throws:
    `BufferOverflowException` - if buffer not sufficient

### getValueTypes

    public Class<?>[] getValueTypes()

  This method should deliver an array with the classes of the single values for the record.

  Specified by:
    `getValueTypes` in interface `IMonitoringRecord`
  Returns:
    The types of the values. This returned array should be treated readonly.
  See Also:
    `IMonitoringRecord.toArray()`

### getSize

    public int getSize()

  This method should deliver the size of a binary representation of this record.

  Specified by:
    `getSize` in interface `IMonitoringRecord`
  Returns:
    The size.

### initFromArray

    @Deprecated
    public void initFromArray(Object[] values)

  Deprecated. This record uses the `IMonitoringRecord.Factory` mechanism. Hence, this method is not implemented.

  This method should initialize the record based on the given values. The array should be one of those resulting from a call to `IMonitoringRecord.toArray()`.

  Specified by:
    `initFromArray` in interface `IMonitoringRecord`
  Parameters:
    `values` - The values for the record.

### initFromBytes

    @Deprecated
    public void initFromBytes(ByteBuffer buffer,
                                         IRegistry<String> stringRegistry)
                       throws BufferUnderflowException

  Deprecated. This record uses the `IMonitoringRecord.BinaryFactory` mechanism. Hence, this method is not implemented.

  This method should initialize the record based on the given values. The array should be one of those resulting from a call to `IMonitoringRecord.writeBytes(ByteBuffer, IRegistry)`.

  Specified by:
    `initFromBytes` in interface `IMonitoringRecord`
  Parameters:
    `buffer` - The bytes for the record.
    `stringRegistry` - The Registry storing the strings.
  Throws:
    `BufferUnderflowException` - if buffer not sufficient

### getVersion

    public final String getVersion()

### getControllerName

    public final String getControllerName()

### getHostname

    public final String getHostname()

### getExperimentId

    public final int getExperimentId()

### isDebugMode

    public final boolean isDebugMode()

### getTimeOffset

    public final long getTimeOffset()

### getTimeUnit

    public final String getTimeUnit()

### getNumberOfRecords

    public final long getNumberOfRecords()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net